# DataExchange
TKXSBase
MoniTool

# MoniTool_DataMapOfTimer Class Reference

`#include <MoniTool_DataMapOfTimer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MoniTool_DataMapOfTimer (const Standard_Integer NbBuckets=1)
Standard_EXPORT MoniTool_DataMapOfTimer & | Assign (const MoniTool_DataMapOfTimer &Other)
MoniTool_DataMapOfTimer & | operator= (const MoniTool_DataMapOfTimer &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MoniTool_DataMapOfTimer ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_CString &K, const Handle(MoniTool_Timer)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_CString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_CString &K)
Standard_EXPORT const Handle_MoniTool_Timer & | Find (const Standard_CString &K) const
const Handle_MoniTool_Timer & | operator() (const Standard_CString &K) const
Standard_EXPORT Handle_MoniTool_Timer & | ChangeFind (const Standard_CString &K)
Handle_MoniTool_Timer & | operator() (const Standard_CString &K)

## Private Member Functions

Standard_EXPORT | MoniTool_DataMapOfTimer (const MoniTool_DataMapOfTimer &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_DataMapOfTimer::MoniTool_DataMapOfTimer | ( | const Standard_Integer | NbBuckets = `1` | ) |

MoniTool_DataMapOfTimer::~MoniTool_DataMapOfTimer | ( |  | ) | `[inline]`

Standard_EXPORT MoniTool_DataMapOfTimer::MoniTool_DataMapOfTimer | ( | const MoniTool_DataMapOfTimer & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MoniTool_DataMapOfTimer& MoniTool_DataMapOfTimer::Assign | ( | const MoniTool_DataMapOfTimer & | Other | ) |

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfTimer::Bind | ( | const Standard_CString & | K,
|  | const Handle(MoniTool_Timer)& | I
| ) |

Standard_EXPORT Handle_MoniTool_Timer& MoniTool_DataMapOfTimer::ChangeFind | ( | const Standard_CString & | K | ) |

Standard_EXPORT void MoniTool_DataMapOfTimer::Clear | ( |  | ) |

Standard_EXPORT const Handle_MoniTool_Timer& MoniTool_DataMapOfTimer::Find | ( | const Standard_CString & | K | ) | const

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfTimer::IsBound | ( | const Standard_CString & | K | ) | const

void MoniTool_DataMapOfTimer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_DataMapOfTimer::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_DataMapOfTimer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MoniTool_Timer& MoniTool_DataMapOfTimer::operator() | ( | const Standard_CString & | K | ) | `[inline]`

const Handle_MoniTool_Timer& MoniTool_DataMapOfTimer::operator() | ( | const Standard_CString & | K | ) | const`[inline]`

MoniTool_DataMapOfTimer& MoniTool_DataMapOfTimer::operator= | ( | const MoniTool_DataMapOfTimer & | Other | ) | `[inline]`

Standard_EXPORT void MoniTool_DataMapOfTimer::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MoniTool_DataMapOfTimer::UnBind | ( | const Standard_CString & | K | ) |

The documentation for this class was generated from the following file:

- MoniTool_DataMapOfTimer.hxx